=== debian/changelog ===
qt6-scxml (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:05:54 +0100

qt6-scxml (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 12:09:20 +0100

qt6-scxml (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 17:55:41 +0100
