## qt6-scxml 6.9.1

=== debian/changelog ===
qt6-scxml (6.9.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Replace QT_BUILD_TOOLS_WHEN_CROSSCOMPILING with QT_FORCE_BUILD_TOOLS
    for cross-builds.

 -- Patrick Franz <deltaone@debian.org>  Mon, 25 Aug 2025 22:12:41 +0200

qt6-scxml (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Install missing cmake-files.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 23:28:22 +0200

qt6-scxml (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Wed, 23 Jul 2025 16:21:12 +0200
