=== src/global/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## ScxmlGlobal Module:
#####################################################################

qt_internal_add_module(ScxmlGlobalPrivate
    INTERNAL_MODULE
    HEADER_MODULE
    CONFIGURE_FILE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../configure.cmake"
    NO_GENERATE_CPP_EXPORTS
)
