=== src/scxml/CMakeLists.txt ===
--- 
+++ 
@@ -30,10 +30,12 @@
         QT_NO_CAST_TO_ASCII
     LIBRARIES
         Qt::CorePrivate
+        Qt::ScxmlGlobalPrivate
     PUBLIC_LIBRARIES
         Qt::Core
     PRIVATE_MODULE_INTERFACE
         Qt::CorePrivate
+        Qt::ScxmlGlobalPrivate
 )
 
 # Install the public qscxlmc.prf file that is used by the qmake
