=== debian/changelog ===
qt6-scxml (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Sep 2025 20:50:48 +0200
