=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
                qt6-scxml-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
