=== debian/control ===
Source: qt6-scxml
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-scxml.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-scxml
Maintainer: Neon CI <neon@kde.org>

Package: qt6-scxml
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6scxml6,
          libqt6scxml6-bin,
          libqt6scxmlqml6,
          libqt6statemachine6,
          libqt6statemachineqml6,
          qml6-module-qtqml-statemachine,
          qml6-module-qtscxml
Description: Qt 6 SCXML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 SCXML.

Package: qt6-scxml-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-scxml (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-scxml-doc-dev, qt6-scxml-examples
Description: Qt 6 SCXML - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the development files for Qt 6 SCXML.

Package: qt6-scxml-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-scxml-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-scxml-doc-html
Description: Qt 6 SCXML - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the documentation files for Qt 6 SCXML.

Package: libqt6scxml6
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6scxml6-bin
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6scxmlqml6
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6statemachine6
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6statemachineqml6
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtscxml
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtqml-statemachine
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-scxml-doc-dev
Architecture: all
Depends: qt6-scxml-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-scxml-doc-html
Architecture: all
Depends: qt6-scxml-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-scxml-examples
Architecture: all
Depends: qt6-scxml-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
